Assassin’s Creed: Syndicate – Running on Windows Vista

Assassin's Creed Syndicate - Running on Windows Vista

In the game Assassin’s Creed: Syndicate stated that in order to run the game requires at least Windows 7, but the game can be run on Windows Vista.

For this it is already a special patch that will run on Vista.

Installation: Install the patch in the game folder.

Download: Syndicate Vista patch

Leave a Reply